<?php
/**
 * @file
 * Default views for the Command Post module.
 */


/**
 * Returns the compost_dashboard view.
 */
function _compost_get_compost_dashboard_view() {
  $view = new view();
  $view->name = 'compost_dashboard';
  $view->description = 'Display sites with fail/notice alerts.';
  $view->tag = 'command post';
  $view->base_table = 'node';
  $view->human_name = 'Command Post Dashboard';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Command Post Dashboard';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'view compost site status';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['row_class'] = 'compost-status-[status_1]';
  $handler->display->display_options['style_options']['columns'] = array(
    'status_1' => 'status_1',
    'nid' => 'nid',
    'compost_logo' => 'compost_logo',
    'title' => 'title',
    'last_message' => 'last_message',
    'nothing' => 'nothing',
    'status' => 'status',
    'compost_url' => 'compost_url',
    'link_override' => 'compost_url',
    'link_reset_override' => 'compost_url',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'status_1' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'nid' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'compost_logo' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'title' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'last_message' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'nothing' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'status' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'compost_url' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => ' | ',
      'empty_column' => 0,
    ),
    'link_override' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'link_reset_override' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* Header: Global: Text area */
  $handler->display->display_options['header']['area']['id'] = 'area';
  $handler->display->display_options['header']['area']['table'] = 'views';
  $handler->display->display_options['header']['area']['field'] = 'area';
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = 'No Drupal site found.';
  $handler->display->display_options['empty']['area']['format'] = 'plain_text';
  /* Relationship: Content: Site status */
  $handler->display->display_options['relationships']['compost_site_status']['id'] = 'compost_site_status';
  $handler->display->display_options['relationships']['compost_site_status']['table'] = 'node';
  $handler->display->display_options['relationships']['compost_site_status']['field'] = 'compost_site_status';
  $handler->display->display_options['relationships']['compost_site_status']['required'] = TRUE;
  /* Field: Command Post site: Site status (machine name, excluded) */
  $handler->display->display_options['fields']['status_1']['id'] = 'status_1';
  $handler->display->display_options['fields']['status_1']['table'] = 'compost_site_status';
  $handler->display->display_options['fields']['status_1']['field'] = 'status';
  $handler->display->display_options['fields']['status_1']['relationship'] = 'compost_site_status';
  $handler->display->display_options['fields']['status_1']['ui_name'] = 'Command Post site: Site status (machine name, excluded)';
  $handler->display->display_options['fields']['status_1']['label'] = '';
  $handler->display->display_options['fields']['status_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['status_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['status_1']['machine_name'] = TRUE;
  /* Field: Content: Site URL (excluded) */
  $handler->display->display_options['fields']['compost_url']['id'] = 'compost_url';
  $handler->display->display_options['fields']['compost_url']['table'] = 'field_data_compost_url';
  $handler->display->display_options['fields']['compost_url']['field'] = 'compost_url';
  $handler->display->display_options['fields']['compost_url']['ui_name'] = 'Content: Site URL (excluded)';
  $handler->display->display_options['fields']['compost_url']['label'] = '';
  $handler->display->display_options['fields']['compost_url']['exclude'] = TRUE;
  $handler->display->display_options['fields']['compost_url']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['compost_url']['alter']['text'] = '<li><a href="[compost_url-url]">go to site</a></li>';
  $handler->display->display_options['fields']['compost_url']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['compost_url']['click_sort_column'] = 'url';
  $handler->display->display_options['fields']['compost_url']['type'] = 'link_plain';
  /* Field: Command Post site: Override link (excluded) */
  $handler->display->display_options['fields']['link_override']['id'] = 'link_override';
  $handler->display->display_options['fields']['link_override']['table'] = 'compost_site_status';
  $handler->display->display_options['fields']['link_override']['field'] = 'link_override';
  $handler->display->display_options['fields']['link_override']['relationship'] = 'compost_site_status';
  $handler->display->display_options['fields']['link_override']['ui_name'] = 'Command Post site: Override link (excluded)';
  $handler->display->display_options['fields']['link_override']['label'] = '';
  $handler->display->display_options['fields']['link_override']['exclude'] = TRUE;
  $handler->display->display_options['fields']['link_override']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['link_override']['alter']['text'] = '<li>[link_override]</li>';
  $handler->display->display_options['fields']['link_override']['element_label_colon'] = FALSE;
  /* Field: Command Post site: Reset override link (excluded) */
  $handler->display->display_options['fields']['link_reset_override']['id'] = 'link_reset_override';
  $handler->display->display_options['fields']['link_reset_override']['table'] = 'compost_site_status';
  $handler->display->display_options['fields']['link_reset_override']['field'] = 'link_reset_override';
  $handler->display->display_options['fields']['link_reset_override']['relationship'] = 'compost_site_status';
  $handler->display->display_options['fields']['link_reset_override']['ui_name'] = 'Command Post site: Reset override link (excluded)';
  $handler->display->display_options['fields']['link_reset_override']['label'] = '';
  $handler->display->display_options['fields']['link_reset_override']['exclude'] = TRUE;
  $handler->display->display_options['fields']['link_reset_override']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['link_reset_override']['alter']['text'] = '<li>[link_reset_override]</li>';
  $handler->display->display_options['fields']['link_reset_override']['element_label_colon'] = FALSE;
  /* Field: Content: Nid (excluded) */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['ui_name'] = 'Content: Nid (excluded)';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Field: Content: Site logo (excluded) */
  $handler->display->display_options['fields']['compost_logo']['id'] = 'compost_logo';
  $handler->display->display_options['fields']['compost_logo']['table'] = 'field_data_compost_logo';
  $handler->display->display_options['fields']['compost_logo']['field'] = 'compost_logo';
  $handler->display->display_options['fields']['compost_logo']['ui_name'] = 'Content: Site logo (excluded)';
  $handler->display->display_options['fields']['compost_logo']['label'] = '';
  $handler->display->display_options['fields']['compost_logo']['exclude'] = TRUE;
  $handler->display->display_options['fields']['compost_logo']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['compost_logo']['element_wrapper_type'] = 'div';
  $handler->display->display_options['fields']['compost_logo']['element_wrapper_class'] = 'compost-logo';
  $handler->display->display_options['fields']['compost_logo']['click_sort_column'] = 'url';
  $handler->display->display_options['fields']['compost_logo']['type'] = 'imagecache_external_image';
  $handler->display->display_options['fields']['compost_logo']['settings'] = array(
    'imagecache_external_style' => 'thumbnail',
    'imagecache_external_link' => 'content',
  );
  /* Field: Content: Title (excluded) */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['ui_name'] = 'Content: Title (excluded)';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['exclude'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Field: Command Post site: Last message (excluded) */
  $handler->display->display_options['fields']['last_message']['id'] = 'last_message';
  $handler->display->display_options['fields']['last_message']['table'] = 'compost_site_status';
  $handler->display->display_options['fields']['last_message']['field'] = 'last_message';
  $handler->display->display_options['fields']['last_message']['relationship'] = 'compost_site_status';
  $handler->display->display_options['fields']['last_message']['ui_name'] = 'Command Post site: Last message (excluded)';
  $handler->display->display_options['fields']['last_message']['label'] = '';
  $handler->display->display_options['fields']['last_message']['exclude'] = TRUE;
  $handler->display->display_options['fields']['last_message']['element_label_colon'] = FALSE;
  /* Field: Global: Custom text (display site status) */
  $handler->display->display_options['fields']['nothing']['id'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['table'] = 'views';
  $handler->display->display_options['fields']['nothing']['field'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['ui_name'] = 'Global: Custom text (display site status)';
  $handler->display->display_options['fields']['nothing']['label'] = '';
  $handler->display->display_options['fields']['nothing']['alter']['text'] = ' <div class="compost-logo">[compost_logo]</div>
<div class="compost-alert-info">
 <div class="compost-title">[title]</div>
 <div class="compost-last-message">[last_message]</div>
 <ul class="action-links">[compost_url] [link_override] [link_reset_override]</ul>
</div>';
  $handler->display->display_options['fields']['nothing']['element_class'] = 'compost-site-status';
  $handler->display->display_options['fields']['nothing']['element_label_colon'] = FALSE;
  /* Field: Site status: Status */
  $handler->display->display_options['fields']['status']['id'] = 'status';
  $handler->display->display_options['fields']['status']['table'] = 'compost_site_status';
  $handler->display->display_options['fields']['status']['field'] = 'status';
  $handler->display->display_options['fields']['status']['relationship'] = 'compost_site_status';
  $handler->display->display_options['fields']['status']['label'] = '';
  $handler->display->display_options['fields']['status']['element_class'] = 'compost-status-[status_1]';
  $handler->display->display_options['fields']['status']['element_label_colon'] = FALSE;
  /* Sort criterion: Site status: Status */
  $handler->display->display_options['sorts']['status']['id'] = 'status';
  $handler->display->display_options['sorts']['status']['table'] = 'compost_site_status';
  $handler->display->display_options['sorts']['status']['field'] = 'status';
  $handler->display->display_options['sorts']['status']['relationship'] = 'compost_site_status';
  $handler->display->display_options['sorts']['status']['order'] = 'DESC';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Site URL (compost_url:url) */
  $handler->display->display_options['filters']['compost_url_url']['id'] = 'compost_url_url';
  $handler->display->display_options['filters']['compost_url_url']['table'] = 'field_data_compost_url';
  $handler->display->display_options['filters']['compost_url_url']['field'] = 'compost_url_url';
  $handler->display->display_options['filters']['compost_url_url']['operator'] = 'not empty';
  $handler->display->display_options['filters']['compost_url_url']['group'] = 1;
  /* Filter criterion: Site status: Overriden */
  $handler->display->display_options['filters']['overriden']['id'] = 'overriden';
  $handler->display->display_options['filters']['overriden']['table'] = 'compost_site_status';
  $handler->display->display_options['filters']['overriden']['field'] = 'overriden';
  $handler->display->display_options['filters']['overriden']['relationship'] = 'compost_site_status';
  $handler->display->display_options['filters']['overriden']['value'] = '0';
  $handler->display->display_options['filters']['overriden']['group'] = 1;

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['path'] = 'compost/dashboard';

  /* Display: Attachment */
  $handler = $view->new_display('attachment', 'Attachment', 'attachment_1');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Overriden Alerts';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '';
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Header: Global: Unfiltered text */
  $handler->display->display_options['header']['area_text_custom']['id'] = 'area_text_custom';
  $handler->display->display_options['header']['area_text_custom']['table'] = 'views';
  $handler->display->display_options['header']['area_text_custom']['field'] = 'area_text_custom';
  $handler->display->display_options['header']['area_text_custom']['label'] = 'Faux attachment title';
  $handler->display->display_options['header']['area_text_custom']['content'] = '<h2>Overriden alerts</h2>';
  $handler->display->display_options['defaults']['empty'] = FALSE;
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Site URL (compost_url:url) */
  $handler->display->display_options['filters']['compost_url_url']['id'] = 'compost_url_url';
  $handler->display->display_options['filters']['compost_url_url']['table'] = 'field_data_compost_url';
  $handler->display->display_options['filters']['compost_url_url']['field'] = 'compost_url_url';
  $handler->display->display_options['filters']['compost_url_url']['operator'] = 'not empty';
  $handler->display->display_options['filters']['compost_url_url']['group'] = 1;
  /* Filter criterion: Site status: Overriden */
  $handler->display->display_options['filters']['overriden']['id'] = 'overriden';
  $handler->display->display_options['filters']['overriden']['table'] = 'compost_site_status';
  $handler->display->display_options['filters']['overriden']['field'] = 'overriden';
  $handler->display->display_options['filters']['overriden']['relationship'] = 'compost_site_status';
  $handler->display->display_options['filters']['overriden']['value'] = '1';
  $handler->display->display_options['filters']['overriden']['group'] = 1;
  $handler->display->display_options['displays'] = array(
    'page' => 'page',
    'default' => 0,
  );
  $handler->display->display_options['attachment_position'] = 'after';

  return $view;
}


/**
 * Returns the compost_site_status view.
 */
function _compost_get_compost_site_status_view() {
  $view = new view();
  $view->name = 'compost_site_status';
  $view->description = 'Display status information about a Command Post site node.';
  $view->tag = 'command post';
  $view->base_table = 'compost_site_status';
  $view->human_name = 'Command Post Status';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Site Status';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'view compost site status';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Field: Site status: Status */
  $handler->display->display_options['fields']['status_1']['id'] = 'status_1';
  $handler->display->display_options['fields']['status_1']['table'] = 'compost_site_status';
  $handler->display->display_options['fields']['status_1']['field'] = 'status';
  $handler->display->display_options['fields']['status_1']['label'] = 'Site status (machine name)';
  $handler->display->display_options['fields']['status_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['status_1']['machine_name'] = TRUE;
  /* Field: Site status: Status */
  $handler->display->display_options['fields']['status']['id'] = 'status';
  $handler->display->display_options['fields']['status']['table'] = 'compost_site_status';
  $handler->display->display_options['fields']['status']['field'] = 'status';
  $handler->display->display_options['fields']['status']['label'] = '';
  $handler->display->display_options['fields']['status']['element_class'] = 'compost-status-[status_1]';
  $handler->display->display_options['fields']['status']['element_label_colon'] = FALSE;
  /* Field: Site status: Overriden */
  $handler->display->display_options['fields']['overriden']['id'] = 'overriden';
  $handler->display->display_options['fields']['overriden']['table'] = 'compost_site_status';
  $handler->display->display_options['fields']['overriden']['field'] = 'overriden';
  $handler->display->display_options['fields']['overriden']['label'] = '';
  $handler->display->display_options['fields']['overriden']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['overriden']['hide_alter_empty'] = FALSE;
  $handler->display->display_options['fields']['overriden']['type'] = 'custom';
  $handler->display->display_options['fields']['overriden']['type_custom_true'] = 'Overriden';
  $handler->display->display_options['fields']['overriden']['not'] = 0;
  /* Field: Site status: Last message */
  $handler->display->display_options['fields']['last_message']['id'] = 'last_message';
  $handler->display->display_options['fields']['last_message']['table'] = 'compost_site_status';
  $handler->display->display_options['fields']['last_message']['field'] = 'last_message';
  $handler->display->display_options['fields']['last_message']['label'] = '';
  $handler->display->display_options['fields']['last_message']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['last_message']['hide_empty'] = TRUE;
  /* Field: Site status: Status date/time */
  $handler->display->display_options['fields']['changed']['id'] = 'changed';
  $handler->display->display_options['fields']['changed']['table'] = 'compost_site_status';
  $handler->display->display_options['fields']['changed']['field'] = 'changed';
  $handler->display->display_options['fields']['changed']['label'] = '';
  $handler->display->display_options['fields']['changed']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['changed']['date_format'] = 'time ago';
  $handler->display->display_options['fields']['changed']['second_date_format'] = 'long';
  /* Field: Site status: Override link */
  $handler->display->display_options['fields']['link_override']['id'] = 'link_override';
  $handler->display->display_options['fields']['link_override']['table'] = 'compost_site_status';
  $handler->display->display_options['fields']['link_override']['field'] = 'link_override';
  $handler->display->display_options['fields']['link_override']['label'] = '';
  $handler->display->display_options['fields']['link_override']['element_label_colon'] = FALSE;
  /* Field: Site status: Reset override link */
  $handler->display->display_options['fields']['link_reset_override']['id'] = 'link_reset_override';
  $handler->display->display_options['fields']['link_reset_override']['table'] = 'compost_site_status';
  $handler->display->display_options['fields']['link_reset_override']['field'] = 'link_reset_override';
  $handler->display->display_options['fields']['link_reset_override']['label'] = '';
  $handler->display->display_options['fields']['link_reset_override']['element_label_colon'] = FALSE;
  /* Contextual filter: Site status: Node */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'compost_site_status';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'default';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'node';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['nid']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['nid']['validate']['type'] = 'php';
  $handler->display->display_options['arguments']['nid']['validate_options']['code'] = 'if (is_numeric($argument)) {
  $node = node_load($argument);
  return $node && compost_node_is_site($node);
}';

  /* Display: Block */
  $handler = $view->new_display('block', 'Block', 'block');
  $handler->display->display_options['block_description'] = 'Command Post site status';

  return $view;
}


/**
 * Returns the compost_alerts view.
 */
function _compost_get_compost_alerts_view() {
  $view = new view();
  $view->name = 'compost_alerts';
  $view->description = 'Display Command Post site alerts.';
  $view->tag = 'command post';
  $view->base_table = 'compost_alert';
  $view->human_name = 'Command Post Alerts';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Alerts';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'view compost site alerts';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '10';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'compost_url' => 'compost_url',
    'compost_logo' => 'compost_logo',
    'ignored' => 'name',
    'status_1' => 'status_1',
    'changed' => 'changed',
    'status' => 'status',
    'name' => 'name',
    'akey' => 'name',
    'description' => 'name',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'compost_url' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'compost_logo' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'ignored' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'status_1' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'changed' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'status' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'name' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'akey' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'description' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* No results behavior: Global: Unfiltered text */
  $handler->display->display_options['empty']['area_text_custom']['id'] = 'area_text_custom';
  $handler->display->display_options['empty']['area_text_custom']['table'] = 'views';
  $handler->display->display_options['empty']['area_text_custom']['field'] = 'area_text_custom';
  $handler->display->display_options['empty']['area_text_custom']['empty'] = TRUE;
  $handler->display->display_options['empty']['area_text_custom']['content'] = '<em class="placeholder">%1</em> currently has no alerts.';
  $handler->display->display_options['empty']['area_text_custom']['tokenize'] = TRUE;
  /* Relationship: Site alert: Node */
  $handler->display->display_options['relationships']['nid']['id'] = 'nid';
  $handler->display->display_options['relationships']['nid']['table'] = 'compost_alert';
  $handler->display->display_options['relationships']['nid']['field'] = 'nid';
  $handler->display->display_options['relationships']['nid']['label'] = 'Site';
  $handler->display->display_options['relationships']['nid']['required'] = TRUE;
  /* Field: Content: Site URL (excluded) */
  $handler->display->display_options['fields']['compost_url']['id'] = 'compost_url';
  $handler->display->display_options['fields']['compost_url']['table'] = 'field_data_compost_url';
  $handler->display->display_options['fields']['compost_url']['field'] = 'compost_url';
  $handler->display->display_options['fields']['compost_url']['relationship'] = 'nid';
  $handler->display->display_options['fields']['compost_url']['ui_name'] = 'Content: Site URL (excluded)';
  $handler->display->display_options['fields']['compost_url']['label'] = '';
  $handler->display->display_options['fields']['compost_url']['exclude'] = TRUE;
  $handler->display->display_options['fields']['compost_url']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['compost_url']['click_sort_column'] = 'url';
  $handler->display->display_options['fields']['compost_url']['type'] = 'link_plain';
  /* Field: Content: Site logo (excluded) */
  $handler->display->display_options['fields']['compost_logo']['id'] = 'compost_logo';
  $handler->display->display_options['fields']['compost_logo']['table'] = 'field_data_compost_logo';
  $handler->display->display_options['fields']['compost_logo']['field'] = 'compost_logo';
  $handler->display->display_options['fields']['compost_logo']['relationship'] = 'nid';
  $handler->display->display_options['fields']['compost_logo']['ui_name'] = 'Content: Site logo (excluded)';
  $handler->display->display_options['fields']['compost_logo']['label'] = '';
  $handler->display->display_options['fields']['compost_logo']['exclude'] = TRUE;
  $handler->display->display_options['fields']['compost_logo']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['compost_logo']['click_sort_column'] = 'url';
  $handler->display->display_options['fields']['compost_logo']['type'] = 'imagecache_external_image';
  $handler->display->display_options['fields']['compost_logo']['settings'] = array(
    'imagecache_external_style' => 'medium',
    'imagecache_external_link' => '',
  );
  /* Field: Command Post alert: Ignored (excluded) */
  $handler->display->display_options['fields']['ignored']['id'] = 'ignored';
  $handler->display->display_options['fields']['ignored']['table'] = 'compost_alert';
  $handler->display->display_options['fields']['ignored']['field'] = 'ignored';
  $handler->display->display_options['fields']['ignored']['ui_name'] = 'Command Post alert: Ignored (excluded)';
  $handler->display->display_options['fields']['ignored']['label'] = '';
  $handler->display->display_options['fields']['ignored']['exclude'] = TRUE;
  $handler->display->display_options['fields']['ignored']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['ignored']['type'] = 'custom';
  $handler->display->display_options['fields']['ignored']['type_custom_true'] = ' (ignored)';
  $handler->display->display_options['fields']['ignored']['not'] = 0;
  /* Field: Command Post alert: Status (machine name, excluded) */
  $handler->display->display_options['fields']['status_1']['id'] = 'status_1';
  $handler->display->display_options['fields']['status_1']['table'] = 'compost_alert';
  $handler->display->display_options['fields']['status_1']['field'] = 'status';
  $handler->display->display_options['fields']['status_1']['ui_name'] = 'Command Post alert: Status (machine name, excluded)';
  $handler->display->display_options['fields']['status_1']['label'] = '';
  $handler->display->display_options['fields']['status_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['status_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['status_1']['machine_name'] = TRUE;
  /* Field: Site alert: Status date/time */
  $handler->display->display_options['fields']['changed']['id'] = 'changed';
  $handler->display->display_options['fields']['changed']['table'] = 'compost_alert';
  $handler->display->display_options['fields']['changed']['field'] = 'changed';
  $handler->display->display_options['fields']['changed']['date_format'] = 'short';
  $handler->display->display_options['fields']['changed']['second_date_format'] = 'long';
  /* Field: Site alert: Status */
  $handler->display->display_options['fields']['status']['id'] = 'status';
  $handler->display->display_options['fields']['status']['table'] = 'compost_alert';
  $handler->display->display_options['fields']['status']['field'] = 'status';
  $handler->display->display_options['fields']['status']['element_class'] = 'compost-status-[status_1]';
  /* Field: Site alert: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'compost_alert';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['label'] = 'Alert';
  $handler->display->display_options['fields']['name']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['name']['alter']['text'] = '<span class="compost-alert-name">[name]</span>[ignored]';
  /* Field: Site alert: Key */
  $handler->display->display_options['fields']['akey']['id'] = 'akey';
  $handler->display->display_options['fields']['akey']['table'] = 'compost_alert';
  $handler->display->display_options['fields']['akey']['field'] = 'akey';
  $handler->display->display_options['fields']['akey']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['akey']['alter']['text'] = '<span class="compost-key compost-alert-key">[akey]</span>';
  /* Field: Site alert: Description */
  $handler->display->display_options['fields']['description']['id'] = 'description';
  $handler->display->display_options['fields']['description']['table'] = 'compost_alert';
  $handler->display->display_options['fields']['description']['field'] = 'description';
  /* Sort criterion: Site alert: Status */
  $handler->display->display_options['sorts']['status']['id'] = 'status';
  $handler->display->display_options['sorts']['status']['table'] = 'compost_alert';
  $handler->display->display_options['sorts']['status']['field'] = 'status';
  $handler->display->display_options['sorts']['status']['order'] = 'DESC';
  /* Sort criterion: Site alert: Status date/time */
  $handler->display->display_options['sorts']['changed']['id'] = 'changed';
  $handler->display->display_options['sorts']['changed']['table'] = 'compost_alert';
  $handler->display->display_options['sorts']['changed']['field'] = 'changed';
  $handler->display->display_options['sorts']['changed']['order'] = 'DESC';
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['relationship'] = 'nid';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['nid']['title_enable'] = TRUE;
  $handler->display->display_options['arguments']['nid']['title'] = 'Alerts for %1';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'node';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['nid']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['nid']['validate']['type'] = 'php';
  $handler->display->display_options['arguments']['nid']['validate_options']['code'] = 'if (is_numeric($argument)) {
  $node = node_load($argument);
  return $node && compost_node_is_site($node);
}';

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Header: Global: Unfiltered text */
  $handler->display->display_options['header']['area_text_custom']['id'] = 'area_text_custom';
  $handler->display->display_options['header']['area_text_custom']['table'] = 'views';
  $handler->display->display_options['header']['area_text_custom']['field'] = 'area_text_custom';
  $handler->display->display_options['header']['area_text_custom']['content'] = '[compost_logo]';
  $handler->display->display_options['header']['area_text_custom']['tokenize'] = TRUE;
  $handler->display->display_options['defaults']['footer'] = FALSE;
  /* Footer: Global: Unfiltered text */
  $handler->display->display_options['footer']['area_text_custom']['id'] = 'area_text_custom';
  $handler->display->display_options['footer']['area_text_custom']['table'] = 'views';
  $handler->display->display_options['footer']['area_text_custom']['field'] = 'area_text_custom';
  $handler->display->display_options['footer']['area_text_custom']['label'] = '"Go to site" link';
  $handler->display->display_options['footer']['area_text_custom']['content'] = '<ul class="action-links"><li><a href="[compost_url]">go to site</a></li></ul>';
  $handler->display->display_options['footer']['area_text_custom']['tokenize'] = TRUE;
  $handler->display->display_options['path'] = 'compost/alerts';

  /* Display: Block */
  $handler = $view->new_display('block', 'Block', 'block');
  $handler->display->display_options['defaults']['use_more'] = FALSE;
  $handler->display->display_options['use_more'] = TRUE;
  $handler->display->display_options['defaults']['use_more_always'] = FALSE;
  $handler->display->display_options['defaults']['use_more_always'] = FALSE;
  $handler->display->display_options['use_more_always'] = TRUE;
  $handler->display->display_options['defaults']['use_more_text'] = FALSE;
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '5';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['row_options']['inline'] = array(
    'name' => 'name',
    'status' => 'status',
    'ignored' => 'ignored',
  );
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Command Post alert: Status (machine name, excluded) */
  $handler->display->display_options['fields']['status_1']['id'] = 'status_1';
  $handler->display->display_options['fields']['status_1']['table'] = 'compost_alert';
  $handler->display->display_options['fields']['status_1']['field'] = 'status';
  $handler->display->display_options['fields']['status_1']['ui_name'] = 'Command Post alert: Status (machine name, excluded)';
  $handler->display->display_options['fields']['status_1']['label'] = '';
  $handler->display->display_options['fields']['status_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['status_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['status_1']['machine_name'] = TRUE;
  /* Field: Site alert: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'compost_alert';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['label'] = '';
  $handler->display->display_options['fields']['name']['element_label_colon'] = FALSE;
  /* Field: Site alert: Status */
  $handler->display->display_options['fields']['status']['id'] = 'status';
  $handler->display->display_options['fields']['status']['table'] = 'compost_alert';
  $handler->display->display_options['fields']['status']['field'] = 'status';
  $handler->display->display_options['fields']['status']['label'] = '';
  $handler->display->display_options['fields']['status']['element_class'] = 'compost-status compost-status-[status_1]';
  $handler->display->display_options['fields']['status']['element_label_colon'] = FALSE;
  /* Field: Site alert: Ignored */
  $handler->display->display_options['fields']['ignored']['id'] = 'ignored';
  $handler->display->display_options['fields']['ignored']['table'] = 'compost_alert';
  $handler->display->display_options['fields']['ignored']['field'] = 'ignored';
  $handler->display->display_options['fields']['ignored']['label'] = '';
  $handler->display->display_options['fields']['ignored']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['ignored']['type'] = 'custom';
  $handler->display->display_options['fields']['ignored']['type_custom_true'] = ' (ignored)';
  $handler->display->display_options['fields']['ignored']['not'] = 0;
  /* Field: Site alert: Description */
  $handler->display->display_options['fields']['description']['id'] = 'description';
  $handler->display->display_options['fields']['description']['table'] = 'compost_alert';
  $handler->display->display_options['fields']['description']['field'] = 'description';
  $handler->display->display_options['fields']['description']['label'] = '';
  $handler->display->display_options['fields']['description']['alter']['max_length'] = '100';
  $handler->display->display_options['fields']['description']['alter']['preserve_tags'] = '<strong> <em> <br> <p>';
  $handler->display->display_options['fields']['description']['alter']['html'] = TRUE;
  $handler->display->display_options['fields']['description']['element_label_colon'] = FALSE;
  /* Field: Content: Site URL */
  $handler->display->display_options['fields']['compost_url']['id'] = 'compost_url';
  $handler->display->display_options['fields']['compost_url']['table'] = 'field_data_compost_url';
  $handler->display->display_options['fields']['compost_url']['field'] = 'compost_url';
  $handler->display->display_options['fields']['compost_url']['relationship'] = 'nid';
  $handler->display->display_options['fields']['compost_url']['exclude'] = TRUE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['relationship'] = 'nid';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'default';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'node';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['nid']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['nid']['validate']['type'] = 'php';
  $handler->display->display_options['arguments']['nid']['validate_options']['code'] = 'if (is_numeric($argument)) {
  $node = node_load($argument);
  return $node && compost_node_is_site($node);
}';
  $handler->display->display_options['block_description'] = 'Command Post site alerts';

  return $view;
}


/**
 * Returns the compost_commands view.
 */
function _compost_get_compost_commands_view() {
  $view = new view();
  $view->name = 'compost_commands';
  $view->description = 'Display Command Post site commands.';
  $view->tag = 'command post';
  $view->base_table = 'compost_command';
  $view->human_name = 'Command Post Commands';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Commands';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['use_more_text'] = '';
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'run compost commands';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '50';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'name' => 'name',
    'cmdid' => 'name',
    'ckey' => 'name',
    'description' => 'description',
    'link_run' => 'link_run',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'name' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'cmdid' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'ckey' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'description' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'link_run' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = 'No commands found.';
  $handler->display->display_options['empty']['area']['format'] = 'plain_text';
  /* Field: Content: Site logo (excluded) */
  $handler->display->display_options['fields']['compost_logo']['id'] = 'compost_logo';
  $handler->display->display_options['fields']['compost_logo']['table'] = 'field_data_compost_logo';
  $handler->display->display_options['fields']['compost_logo']['field'] = 'compost_logo';
  $handler->display->display_options['fields']['compost_logo']['relationship'] = 'nid';
  $handler->display->display_options['fields']['compost_logo']['ui_name'] = 'Content: Site logo (excluded)';
  $handler->display->display_options['fields']['compost_logo']['label'] = '';
  $handler->display->display_options['fields']['compost_logo']['exclude'] = TRUE;
  $handler->display->display_options['fields']['compost_logo']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['compost_logo']['click_sort_column'] = 'url';
  $handler->display->display_options['fields']['compost_logo']['type'] = 'imagecache_external_image';
  $handler->display->display_options['fields']['compost_logo']['settings'] = array(
    'imagecache_external_style' => 'medium',
    'imagecache_external_link' => '',
  );
  /* Field: Site command: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'compost_command';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['label'] = 'Command';
  $handler->display->display_options['fields']['name']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['name']['alter']['text'] = '<span class="compost-command-name">[name]</span>';
  /* Field: Site command: Key */
  $handler->display->display_options['fields']['ckey']['id'] = 'ckey';
  $handler->display->display_options['fields']['ckey']['table'] = 'compost_command';
  $handler->display->display_options['fields']['ckey']['field'] = 'ckey';
  $handler->display->display_options['fields']['ckey']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['ckey']['alter']['text'] = '<span class="compost-key compost-command-key">[ckey]</span>';
  /* Field: Site command: Description */
  $handler->display->display_options['fields']['description']['id'] = 'description';
  $handler->display->display_options['fields']['description']['table'] = 'compost_command';
  $handler->display->display_options['fields']['description']['field'] = 'description';
  /* Field: Site command: Run link */
  $handler->display->display_options['fields']['link_run']['id'] = 'link_run';
  $handler->display->display_options['fields']['link_run']['table'] = 'compost_command';
  $handler->display->display_options['fields']['link_run']['field'] = 'link_run';
  $handler->display->display_options['fields']['link_run']['label'] = '';
  $handler->display->display_options['fields']['link_run']['element_label_colon'] = FALSE;
  /* Sort criterion: Site command: Name */
  $handler->display->display_options['sorts']['name_1']['id'] = 'name_1';
  $handler->display->display_options['sorts']['name_1']['table'] = 'compost_command';
  $handler->display->display_options['sorts']['name_1']['field'] = 'name';
  /* Contextual filter: Site command: Node */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'compost_command';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['nid']['title_enable'] = TRUE;
  $handler->display->display_options['arguments']['nid']['title'] = 'Commands for %1';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'node';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['nid']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['nid']['validate']['type'] = 'php';
  $handler->display->display_options['arguments']['nid']['validate_options']['code'] = 'if (is_numeric($argument)) {
  $node = node_load($argument);
  if ($node && compost_node_is_site($node)) {
    $handler->validated_title = $node->title;
    return TRUE;
  }
}';

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['grouping'] = array(
    0 => array(
      'field' => 'name_1',
      'rendered' => 1,
      'rendered_strip' => 0,
    ),
  );
  $handler->display->display_options['style_options']['columns'] = array(
    'name_1' => 'name_1',
    'name' => 'name',
    'ckey' => 'name',
    'description' => 'description',
    'link_run' => 'link_run',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'name_1' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'name' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '<br />',
      'empty_column' => 0,
    ),
    'ckey' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'description' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'link_run' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Header: Global: Unfiltered text */
  $handler->display->display_options['header']['area_text_custom']['id'] = 'area_text_custom';
  $handler->display->display_options['header']['area_text_custom']['table'] = 'views';
  $handler->display->display_options['header']['area_text_custom']['field'] = 'area_text_custom';
  $handler->display->display_options['header']['area_text_custom']['label'] = 'Logo';
  $handler->display->display_options['header']['area_text_custom']['content'] = '[compost_logo]';
  $handler->display->display_options['header']['area_text_custom']['tokenize'] = TRUE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Site command: Node */
  $handler->display->display_options['relationships']['nid']['id'] = 'nid';
  $handler->display->display_options['relationships']['nid']['table'] = 'compost_command';
  $handler->display->display_options['relationships']['nid']['field'] = 'nid';
  $handler->display->display_options['relationships']['nid']['required'] = TRUE;
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Site command: Group gid */
  $handler->display->display_options['filters']['group']['id'] = 'group';
  $handler->display->display_options['filters']['group']['table'] = 'compost_command';
  $handler->display->display_options['filters']['group']['field'] = 'group';
  $handler->display->display_options['filters']['group']['group'] = 1;
  $handler->display->display_options['filters']['group']['exposed'] = TRUE;
  $handler->display->display_options['filters']['group']['expose']['operator_id'] = 'group_op';
  $handler->display->display_options['filters']['group']['expose']['label'] = 'Group';
  $handler->display->display_options['filters']['group']['expose']['operator'] = 'group_op';
  $handler->display->display_options['filters']['group']['expose']['identifier'] = 'group';
  $handler->display->display_options['filters']['group']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
  );
  /* Filter criterion: Site command: Key */
  $handler->display->display_options['filters']['ckey']['id'] = 'ckey';
  $handler->display->display_options['filters']['ckey']['table'] = 'compost_command';
  $handler->display->display_options['filters']['ckey']['field'] = 'ckey';
  $handler->display->display_options['filters']['ckey']['group'] = 1;
  $handler->display->display_options['filters']['ckey']['exposed'] = TRUE;
  $handler->display->display_options['filters']['ckey']['expose']['operator_id'] = 'ckey_op';
  $handler->display->display_options['filters']['ckey']['expose']['label'] = 'Command key';
  $handler->display->display_options['filters']['ckey']['expose']['use_operator'] = TRUE;
  $handler->display->display_options['filters']['ckey']['expose']['operator'] = 'ckey_op';
  $handler->display->display_options['filters']['ckey']['expose']['identifier'] = 'ckey';
  $handler->display->display_options['filters']['ckey']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
  );
  $handler->display->display_options['path'] = 'compost/commands';

  /* Display: Block */
  $handler = $view->new_display('block', 'Block', 'block_1');
  $handler->display->display_options['defaults']['use_more'] = FALSE;
  $handler->display->display_options['use_more'] = TRUE;
  $handler->display->display_options['defaults']['use_more_always'] = FALSE;
  $handler->display->display_options['defaults']['use_more_always'] = FALSE;
  $handler->display->display_options['use_more_always'] = TRUE;
  $handler->display->display_options['defaults']['use_more_text'] = FALSE;
  $handler->display->display_options['use_more_text'] = 'all';
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Command Post command: Name (excluded) */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'compost_command';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['ui_name'] = 'Command Post command: Name (excluded)';
  $handler->display->display_options['fields']['name']['label'] = '';
  $handler->display->display_options['fields']['name']['exclude'] = TRUE;
  $handler->display->display_options['fields']['name']['element_label_colon'] = FALSE;
  /* Field: Site command: Run link */
  $handler->display->display_options['fields']['link_run']['id'] = 'link_run';
  $handler->display->display_options['fields']['link_run']['table'] = 'compost_command';
  $handler->display->display_options['fields']['link_run']['field'] = 'link_run';
  $handler->display->display_options['fields']['link_run']['label'] = '';
  $handler->display->display_options['fields']['link_run']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['link_run']['alter']['text'] = '[name]';
  $handler->display->display_options['fields']['link_run']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Site command: Node */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'compost_command';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'default';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'node';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['nid']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['nid']['validate']['type'] = 'php';
  $handler->display->display_options['arguments']['nid']['validate_options']['code'] = 'if (is_numeric($argument)) {
  $node = node_load($argument);
  if ($node && compost_node_is_site($node)) {
    $handler->validated_title = $node->title;
    return TRUE;
  }
}';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['filter_groups']['groups'] = array(
    1 => 'OR',
  );
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Site command: Key */
  $handler->display->display_options['filters']['ckey']['id'] = 'ckey';
  $handler->display->display_options['filters']['ckey']['table'] = 'compost_command';
  $handler->display->display_options['filters']['ckey']['field'] = 'ckey';
  $handler->display->display_options['filters']['ckey']['value'] = 'compostagent.core.run_cron';
  /* Filter criterion: Site command: Key */
  $handler->display->display_options['filters']['ckey_1']['id'] = 'ckey_1';
  $handler->display->display_options['filters']['ckey_1']['table'] = 'compost_command';
  $handler->display->display_options['filters']['ckey_1']['field'] = 'ckey';
  $handler->display->display_options['filters']['ckey_1']['value'] = 'compostagent.core.flush_caches';
  $handler->display->display_options['block_description'] = 'Command Post site commands';

  return $view;
}


/**
 * Returns the compost_variables view.
 */
function _compost_get_compost_variables_view() {
  $view = new view();
  $view->name = 'compost_variables';
  $view->description = 'Display Command Post site variables.';
  $view->tag = 'command post';
  $view->base_table = 'compost_variable';
  $view->human_name = 'Command Post Variables';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Variables';
  $handler->display->display_options['use_more_always'] = TRUE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'view compost site variables';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '50';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'name_1' => 'name_1',
    'name' => 'name',
    'value_string' => 'value_string',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'name_1' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'name' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => 'views-align-right',
      'separator' => '',
      'empty_column' => 0,
    ),
    'value_string' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => 'views-align-left',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* No results behavior: Global: Unfiltered text */
  $handler->display->display_options['empty']['area_text_custom']['id'] = 'area_text_custom';
  $handler->display->display_options['empty']['area_text_custom']['table'] = 'views';
  $handler->display->display_options['empty']['area_text_custom']['field'] = 'area_text_custom';
  $handler->display->display_options['empty']['area_text_custom']['empty'] = TRUE;
  $handler->display->display_options['empty']['area_text_custom']['content'] = '<em class="placeholder">%1</em> does not have any variable.';
  $handler->display->display_options['empty']['area_text_custom']['tokenize'] = TRUE;
  /* Field: Site variable: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'compost_variable';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['label'] = '';
  $handler->display->display_options['fields']['name']['element_label_colon'] = FALSE;
  /* Field: Site variable: Value */
  $handler->display->display_options['fields']['value']['id'] = 'value';
  $handler->display->display_options['fields']['value']['table'] = 'compost_variable';
  $handler->display->display_options['fields']['value']['field'] = 'value';
  $handler->display->display_options['fields']['value']['label'] = '';
  $handler->display->display_options['fields']['value']['element_label_colon'] = FALSE;
  /* Sort criterion: Site variable: Name */
  $handler->display->display_options['sorts']['name_1']['id'] = 'name_1';
  $handler->display->display_options['sorts']['name_1']['table'] = 'compost_variable';
  $handler->display->display_options['sorts']['name_1']['field'] = 'name';
  /* Contextual filter: Site variable: Node */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'compost_variable';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['nid']['title_enable'] = TRUE;
  $handler->display->display_options['arguments']['nid']['title'] = 'Variables for %1';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'node';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['nid']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['nid']['validate']['type'] = 'php';
  $handler->display->display_options['arguments']['nid']['validate_options']['code'] = 'if (is_numeric($argument)) {
  $node = node_load($argument);
  if ($node && compost_node_is_site($node)) {
    $handler->validated_title = $node->title;
    return TRUE;
  }
}';
  $handler->display->display_options['filter_groups']['groups'] = array(
    1 => 'OR',
  );

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '100';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['grouping'] = array(
    0 => array(
      'field' => 'name_1',
      'rendered' => 0,
      'rendered_strip' => 0,
    ),
  );
  $handler->display->display_options['style_options']['columns'] = array(
    'name_1' => 'name_1',
    'compost_logo' => 'compost_logo',
    'vkey' => 'vkey',
    'name' => 'name',
    'value' => 'value',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'name_1' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'compost_logo' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'vkey' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'name' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => 'views-align-right',
      'separator' => '',
      'empty_column' => 0,
    ),
    'value' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Header: Global: Unfiltered text */
  $handler->display->display_options['header']['area_text_custom']['id'] = 'area_text_custom';
  $handler->display->display_options['header']['area_text_custom']['table'] = 'views';
  $handler->display->display_options['header']['area_text_custom']['field'] = 'area_text_custom';
  $handler->display->display_options['header']['area_text_custom']['label'] = 'Logo';
  $handler->display->display_options['header']['area_text_custom']['content'] = '[compost_logo]';
  $handler->display->display_options['header']['area_text_custom']['tokenize'] = TRUE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Site variable: Node */
  $handler->display->display_options['relationships']['nid']['id'] = 'nid';
  $handler->display->display_options['relationships']['nid']['table'] = 'compost_variable';
  $handler->display->display_options['relationships']['nid']['field'] = 'nid';
  $handler->display->display_options['relationships']['nid']['required'] = TRUE;
  /* Relationship: Site variable: Group gid */
  $handler->display->display_options['relationships']['group']['id'] = 'group';
  $handler->display->display_options['relationships']['group']['table'] = 'compost_variable';
  $handler->display->display_options['relationships']['group']['field'] = 'group';
  $handler->display->display_options['relationships']['group']['required'] = TRUE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Site data group: Name (excluded) */
  $handler->display->display_options['fields']['name_1']['id'] = 'name_1';
  $handler->display->display_options['fields']['name_1']['table'] = 'compost_group';
  $handler->display->display_options['fields']['name_1']['field'] = 'name';
  $handler->display->display_options['fields']['name_1']['relationship'] = 'group';
  $handler->display->display_options['fields']['name_1']['ui_name'] = 'Site data group: Name (excluded)';
  $handler->display->display_options['fields']['name_1']['label'] = '';
  $handler->display->display_options['fields']['name_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['name_1']['element_label_colon'] = FALSE;
  /* Field: Content: Site logo (excluded) */
  $handler->display->display_options['fields']['compost_logo']['id'] = 'compost_logo';
  $handler->display->display_options['fields']['compost_logo']['table'] = 'field_data_compost_logo';
  $handler->display->display_options['fields']['compost_logo']['field'] = 'compost_logo';
  $handler->display->display_options['fields']['compost_logo']['relationship'] = 'nid';
  $handler->display->display_options['fields']['compost_logo']['ui_name'] = 'Content: Site logo (excluded)';
  $handler->display->display_options['fields']['compost_logo']['label'] = '';
  $handler->display->display_options['fields']['compost_logo']['exclude'] = TRUE;
  $handler->display->display_options['fields']['compost_logo']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['compost_logo']['click_sort_column'] = 'url';
  $handler->display->display_options['fields']['compost_logo']['type'] = 'imagecache_external_image';
  $handler->display->display_options['fields']['compost_logo']['settings'] = array(
    'imagecache_external_style' => 'medium',
    'imagecache_external_link' => '',
  );
  /* Field: Site variable: Key (excluded) */
  $handler->display->display_options['fields']['vkey']['id'] = 'vkey';
  $handler->display->display_options['fields']['vkey']['table'] = 'compost_variable';
  $handler->display->display_options['fields']['vkey']['field'] = 'vkey';
  $handler->display->display_options['fields']['vkey']['ui_name'] = 'Site variable: Key (excluded)';
  $handler->display->display_options['fields']['vkey']['exclude'] = TRUE;
  /* Field: Site variable: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'compost_variable';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['label'] = 'Variable';
  $handler->display->display_options['fields']['name']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['name']['alter']['text'] = '[name]
<div class="compost-key compost-variable-key">[vkey]</div>';
  $handler->display->display_options['fields']['name']['element_label_colon'] = FALSE;
  /* Field: Site variable: Value */
  $handler->display->display_options['fields']['value']['id'] = 'value';
  $handler->display->display_options['fields']['value']['table'] = 'compost_variable';
  $handler->display->display_options['fields']['value']['field'] = 'value';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Site variable: Group gid */
  $handler->display->display_options['filters']['group']['id'] = 'group';
  $handler->display->display_options['filters']['group']['table'] = 'compost_variable';
  $handler->display->display_options['filters']['group']['field'] = 'group';
  $handler->display->display_options['filters']['group']['group'] = 1;
  $handler->display->display_options['filters']['group']['exposed'] = TRUE;
  $handler->display->display_options['filters']['group']['expose']['operator_id'] = 'group_op';
  $handler->display->display_options['filters']['group']['expose']['label'] = 'Group';
  $handler->display->display_options['filters']['group']['expose']['operator'] = 'group_op';
  $handler->display->display_options['filters']['group']['expose']['identifier'] = 'group';
  $handler->display->display_options['filters']['group']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
  );
  /* Filter criterion: Site variable: Key */
  $handler->display->display_options['filters']['vkey']['id'] = 'vkey';
  $handler->display->display_options['filters']['vkey']['table'] = 'compost_variable';
  $handler->display->display_options['filters']['vkey']['field'] = 'vkey';
  $handler->display->display_options['filters']['vkey']['group'] = 1;
  $handler->display->display_options['filters']['vkey']['exposed'] = TRUE;
  $handler->display->display_options['filters']['vkey']['expose']['operator_id'] = 'vkey_op';
  $handler->display->display_options['filters']['vkey']['expose']['label'] = 'Variable key';
  $handler->display->display_options['filters']['vkey']['expose']['use_operator'] = TRUE;
  $handler->display->display_options['filters']['vkey']['expose']['operator'] = 'vkey_op';
  $handler->display->display_options['filters']['vkey']['expose']['identifier'] = 'vkey';
  $handler->display->display_options['filters']['vkey']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
  );
  $handler->display->display_options['path'] = 'compost/variables';

  /* Display: Block */
  $handler = $view->new_display('block', 'Block', 'block');
  $handler->display->display_options['defaults']['use_more'] = FALSE;
  $handler->display->display_options['use_more'] = TRUE;
  $handler->display->display_options['defaults']['use_more_always'] = FALSE;
  $handler->display->display_options['defaults']['use_more_always'] = FALSE;
  $handler->display->display_options['use_more_always'] = TRUE;
  $handler->display->display_options['defaults']['use_more_text'] = FALSE;
  $handler->display->display_options['use_more_text'] = 'all';
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Site variable: Node */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'compost_variable';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'default';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'node';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['arguments']['nid']['specify_validation'] = TRUE;
  $handler->display->display_options['arguments']['nid']['validate']['type'] = 'php';
  $handler->display->display_options['arguments']['nid']['validate_options']['code'] = 'if (is_numeric($argument)) {
  $node = node_load($argument);
  if ($node && compost_node_is_site($node)) {
    $handler->validated_title = $node->title;
    return TRUE;
  }
}';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['filter_groups']['groups'] = array(
    1 => 'OR',
  );
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Site variable: Key */
  $handler->display->display_options['filters']['vkey']['id'] = 'vkey';
  $handler->display->display_options['filters']['vkey']['table'] = 'compost_variable';
  $handler->display->display_options['filters']['vkey']['field'] = 'vkey';
  $handler->display->display_options['filters']['vkey']['value'] = 'compostagent.server.info';
  /* Filter criterion: Site variable: Key */
  $handler->display->display_options['filters']['vkey_1']['id'] = 'vkey_1';
  $handler->display->display_options['filters']['vkey_1']['table'] = 'compost_variable';
  $handler->display->display_options['filters']['vkey_1']['field'] = 'vkey';
  $handler->display->display_options['filters']['vkey_1']['value'] = 'compostagent.php.version';
  /* Filter criterion: Site variable: Key */
  $handler->display->display_options['filters']['vkey_2']['id'] = 'vkey_2';
  $handler->display->display_options['filters']['vkey_2']['table'] = 'compost_variable';
  $handler->display->display_options['filters']['vkey_2']['field'] = 'vkey';
  $handler->display->display_options['filters']['vkey_2']['value'] = 'compostagent.core.version';
  $handler->display->display_options['block_description'] = 'Command Post site variables';

  return $view;
}


/**
 * Implements hook_views_default_views().
 */
function compost_views_default_views() {
  $views = array();

  $view = _compost_get_compost_dashboard_view();
  $views[$view->name] = $view;

  $view = _compost_get_compost_site_status_view();
  $views[$view->name] = $view;

  $view = _compost_get_compost_alerts_view();
  $views[$view->name] = $view;

  $view = _compost_get_compost_commands_view();
  $views[$view->name] = $view;

  $view = _compost_get_compost_variables_view();
  $views[$view->name] = $view;

  if (module_exists('views_bulk_operations') && module_exists('rules')) {
    module_load_include('inc', 'compost', 'compost.vbo');
    $views += _compost_get_vbo_views();
  }

  return $views;
}
